Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class CodeQualityPlugin

    java.lang.Object
      org.gradle.api.plugins.quality.CodeQualityPlugin

All Implemented Interfaces:
  Plugin

    @Deprecated
    class CodeQualityPlugin

A plugin which measures and enforces code quality for Java and Groovy projects.

deprecated:
  use CheckstylePlugin and CodeNarcPlugin instead

Property Summary
`static String` | `CHECKSTYLE_MAIN_TASK`
`static String` | `CHECKSTYLE_TEST_TASK`
`static String` | `CODE_NARC_MAIN_TASK`
`static String` | `CODE_NARC_TEST_TASK`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### CHECKSTYLE_MAIN_TASK

    static final String CHECKSTYLE_MAIN_TASK

### CHECKSTYLE_TEST_TASK

    static final String CHECKSTYLE_TEST_TASK

### CODE_NARC_MAIN_TASK

    static final String CODE_NARC_MAIN_TASK

### CODE_NARC_TEST_TASK

    static final String CODE_NARC_TEST_TASK

Method Detail

### apply

    void apply(Project project)

Gradle API 1.10